## ros-kinetic-global-planner 1.14.9

=== debian/changelog ===
ros-kinetic-global-planner (1.14.9-1xenial) xenial; urgency=high

  * fix kinetic build (#1082 <https://github.com/ros-planning/navigation/issues/1082>)
    delgating constructors are only allowed in C++11 and later, which
    kinetic is not supporting. fix a build warning introduced in #1028 <https://github.com/ros-planning/navigation/issues/1028>
  * Fixes #1026 <https://github.com/ros-planning/navigation/issues/1026> (#1028 <https://github.com/ros-planning/navigation/issues/1028>)
  * correctly delete previously allocated array (#1025 <https://github.com/ros-planning/navigation/issues/1025>)
    Co-authored-by: Fedor Vlasov <mailto:fedor.vlasov@de.kaercher.com>
  * Contributors: David V. Lu!!, Michael Ferguson, mechatheo

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2021 05:00:00 -0000

ros-kinetic-global-planner (1.14.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-kinetic-global-planner (1.14.7-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-kinetic-global-planner (1.14.6-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-kinetic-global-planner (1.14.5-1xenial) xenial; urgency=high

  * Remove unused costmap_pub_freq (#864 <https://github.com/ros-planning/navigation/issues/864>)
  * Merge pull request #865 <https://github.com/ros-planning/navigation/issues/865> from IronClimber/remove-visualize-potential
    [kinetic] Remove unused visualize_potential_
  * Remove unused visualize_potential_
  * Fix #845 <https://github.com/ros-planning/navigation/issues/845> (#846 <https://github.com/ros-planning/navigation/issues/846>)
  * Merge pull request #821 <https://github.com/ros-planning/navigation/issues/821> from ros-planning/fix739kinetic
    PR #739 <https://github.com/ros-planning/navigation/issues/739> for Kinetic
  * feat(orientation_filter): Added additional orientation filter options (#739 <https://github.com/ros-planning/navigation/issues/739>)
    * feat(orientation_filter): Added additional orientation filter options
    Enables plan references with different orientations for omni-base
    controllers. The following options are added:
    - Backward (backward path traversal, pose points to previous point)
    - Leftward (lateral path traversal in the positive y direction)
    - Rightward (lateral path traversal in the negative y direction)
    * Updated orientation filter option description
    * Added window size parameter to orientation filter
    Previously, the orientation was calculated using the current and the
    next point. However, when the path is somewhat jumpy, this results in
    poor orientations. By adding this parameter and altering the orientation
    calculation, the calculated orientation can be smoothened along the path
    by taking into account a larger window. The orientation of index point i
    will be calculated using the positions of i - window_size and i +
    window_size.
  * Contributors: David V. Lu!!, Michael Ferguson, Rein Appeldoorn, Stepan Kostusiev

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-kinetic-global-planner (1.14.4-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-kinetic-global-planner (1.14.3-1xenial) xenial; urgency=high

  * Merge pull request #672 <https://github.com/ros-planning/navigation/issues/672> from ros-planning/email_update_kinetic
    update maintainer email (kinetic)
  * Merge pull request #648 <https://github.com/ros-planning/navigation/issues/648> from aaronhoy/kinetic_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo (#636 <https://github.com/ros-planning/navigation/issues/636>)
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 16 Mar 2018 04:00:00 -0000

ros-kinetic-global-planner (1.14.2-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-kinetic-global-planner (1.14.1-1xenial) xenial; urgency=high

  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Fix to increment 'cycle' in while loop (#546 <https://github.com/ros-planning/navigation/issues/546>)
  * Fix to check index value before accessing to element of potential array (#547 <https://github.com/ros-planning/navigation/issues/547>)
  * Set frame_id and stamp on Path message even if path is not found. (#533 <https://github.com/ros-planning/navigation/issues/533>)
  * Contributors: Junya Hayashi, Martin Günther

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-kinetic-global-planner (1.14.0-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-kinetic-global-planner (1.13.1-1xenial) xenial; urgency=high

  * Add missing angles dependecy
  * Fix for #337 <https://github.com/ros-planning/navigation/issues/337>
  * Contributors: David V. Lu!!, Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-kinetic-global-planner (1.13.0-1xenial) xenial; urgency=high

  * Fixing various memory freeing operations
  * Add Orientation Filter to Global Planner
  * Contributors: Alex Bencz, David V. Lu!!, James Servos, Michael Ferguson


