=== debian/control ===
Source: ros-kinetic-global-planner
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-navfn, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf
Homepage: http://wiki.ros.org/global_planner
Standards-Version: 3.9.2

Package: ros-kinetic-global-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-costmap-2d, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-nav-core, ros-kinetic-nav-msgs, ros-kinetic-navfn, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-tf
Description: A path planner library and node.
